Index: code/trunk/src/modules/pickup/Pickup.h
===================================================================
--- code/trunk/src/modules/pickup/Pickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/Pickup.h	(revision 7494)
@@ -48,21 +48,21 @@
 {
 
-    //! Enum for the activation type.
+    //! Enum for the @ref orxonox::Pickup "Pickup" activation type.
     namespace pickupActivationType
     {
         enum Value
         {
-            immediate,
-            onUse,
+            immediate, //!< Means that the @ref orxonox::Pickup "Pickup" will be used immediately after pickup.
+            onUse, //!< Means that the @ref orxonox::Pickup "Pickup" will be used at a later point trough some external influence.
         };
     }
 
-    //! Enum for the duration tyoe.
+    //! Enum for the @ref orxonox::Pickup "Pickup" duration type.
     namespace pickupDurationType
     {
         enum Value
         {
-            once,
-            continuous,
+            once, //!< Means that the @ref orxonox::Pickup "Pickup" will be used only once at a singular time instant.
+            continuous, //!< Means that the @ref orxonox::Pickup "Pickup" will be used over a continuous timespan.
         };
     }
@@ -70,6 +70,16 @@
     /**
     @brief
-        Pickup class. Offers base functionality for a wide range of pickups.
-        Pickups ingeriting from this class cann choose an activation type and a duration type.
+        The Pickup class offers (useful) base functionality for a wide range of pickups.
+
+        Pickups ingeriting from this class can choose an activation type and a duration type.
+        - The <b>activation type</b> deals with what happens to the Pickup as soon as it is picked up. It can either be set to <em>immediate</em>, which means that the Pickup is activated/used immediately upon being picked up. Or to <em>onUse</em>, which means, that the Pickup will be activated/used if some outside entity (most commonly the player through the PickupInventory) decides to use it.
+        - The <b>duration type</b> deals with whether the Pickup has a continuous effect or whether its effect is focused on a singular instant. It can either be set to <em>once</em>, which means, that the Pickup just has an effect (at a singular instant in time) and is done once that effect has been applied. Or to <em>continuous</em>, which means that the effect of the Pickup unfolds over some timespan.
+
+        If it were not an abstract class it could for example be used as follows in XML.
+        @code
+        <Pickup activationType="onUse" durationType="continuous" />
+        @endcode
+        In reality you can (naturally) use the parameters <b>activation type</b> and <b>duration type</b> in any pickup inheriting from Pickup, unless the pickup already specifies one (or both) of the parameters.
+
     @author
         Damian 'Mozork' Frick
@@ -85,18 +95,18 @@
 
             /**
-            @brief Get the activation type of the pickup.
-            @return Returns the activation type of the pickup.
+            @brief Get the activation type of the Pickup.
+            @return Returns the activation type of the Pickup.
             */
             inline pickupActivationType::Value getActivationTypeDirect(void)
                 { return this->activationType_; }
             /**
-            @brief Get the duration type of the pickup.
-            @return Returns the duration type of the pickup.
+            @brief Get the duration type of the Pickup.
+            @return Returns the duration type of the Pickup.
             */
             inline pickupDurationType::Value getDurationTypeDirect(void)
                 { return this->durationType_; }
 
-            const std::string& getActivationType(void); //!< Get the activation type of the pickup.
-            const std::string& getDurationType(void); //!< Get the duration type of the pickup.
+            const std::string& getActivationType(void); //!< Get the activation type of the Pickup.
+            const std::string& getDurationType(void); //!< Get the duration type of the Pickup.
 
             /**
@@ -127,5 +137,5 @@
             virtual void changedPickedUp(void); //!< Should be called when the pickup has transited from picked up to dropped or the other way around.
 
-            virtual void clone(OrxonoxClass*& item); //!< Creates a duplicate of the Pickup.
+            virtual void clone(OrxonoxClass*& item); //!< Creates a duplicate of the OrxonoxClass.
 
         protected:
@@ -135,18 +145,18 @@
 
             /**
-            @brief Set the activation type of the pickup.
-            @param type The activation type of the pickup.
+            @brief Set the activation type of the Pickup.
+            @param type The activation type of the Pickup.
             */
             inline void setActivationTypeDirect(pickupActivationType::Value type)
                 { this->activationType_ = type; }
             /**
-            @brief Set the duration type of the pickup.
-            @param type The duration type of the pickup.
+            @brief Set the duration type of the Pickup.
+            @param type The duration type of the Pickup.
             */
             inline void setDurationTypeDirect(pickupDurationType::Value type)
                 { this->durationType_ = type; }
 
-            void setActivationType(const std::string& type); //!< Set the activation type of the pickup.
-            void setDurationType(const std::string& type); //!< Set the duration type of the pickup
+            void setActivationType(const std::string& type); //!< Set the activation type of the Pickup.
+            void setDurationType(const std::string& type); //!< Set the duration type of the Pickup.
 
         private:
@@ -154,5 +164,5 @@
 
             pickupActivationType::Value activationType_; //!< The activation type of the Pickup.
-            pickupDurationType::Value durationType_; //!< The duration type of the pickup.
+            pickupDurationType::Value durationType_; //!< The duration type of the Pickup.
 
             //! Strings for the activation and duration types.
